import '@material/mwc-textarea';
import '@material/mwc-textfield';
import '@material/mwc-button';
import '@material/mwc-dialog';
import '@operato/i18n';
import { LitElement } from 'lit';
declare const ContactUs_base: (new (...args: any[]) => LitElement) & typeof LitElement;
export declare class ContactUs extends ContactUs_base {
    static get styles(): import("lit").CSSResult[];
    dialog: HTMLElement & {
        open: boolean;
    };
    subjectInput: HTMLInputElement;
    senderInput: HTMLInputElement;
    contentInput: HTMLInputElement;
    render(): import("lit-html").TemplateResult<1>;
    _checkValidity(): boolean;
    _submit(e: MouseEvent): void;
}
export {};
